=== debian/changelog ===
akonadi (1.12.1-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 08 Apr 2014 10:30:38 +0200

akonadi (1.12.0-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Mar 2014 21:40:59 +0000

akonadi (1.11.90-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1296707)

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 24 Mar 2014 06:01:57 -0700

akonadi (1.11.80-0ubuntu3) trusty; urgency=medium

  * Support mariadb as alternate database for the mysql backend as it is
    also supported upstream said on IRC.
    LP: #1289840

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 10 Mar 2014 23:09:34 +0100

akonadi (1.11.80-0ubuntu2) trusty; urgency=medium

  * Install missing files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Mar 2014 11:31:06 +0000

akonadi (1.11.80-0ubuntu1) trusty; urgency=medium

  * New upstream alpha release
  * Replace disable_dbus_requiring_tests.diff with starting dbus
    in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Mar 2014 15:09:30 +0000

akonadi (1.11.0-0ubuntu1) trusty; urgency=medium

  * New upstream release 
  * Add new symbol to libakonadiprotocolinternals1.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 24 Dec 2013 11:07:42 +0100

akonadi (1.10.80-0ubuntu1) trusty; urgency=low

  * New upstream release
   - Update install files
   - Update disable_dbus_requiring_tests.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 11 Nov 2013 17:38:58 +0100

akonadi (1.10.3-0ubuntu2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 13:54:07 +0100
