=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/akonadi/src/akonadi-([\d\.]+)\.tar\.bz2
