=== debian/changelog ===
akonadi (1.12.91-0ubuntu1) trusty; urgency=medium

  * trusty backport 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 19:03:10 -0700

akonadi (1.12.91-0ubuntu1) utopic; urgency=medium

  * New upstream release needed for KDE 4.13.90 beta 2
  * Remove patches applied upstream.
  * Update symbols with batchpatch.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 18 Jul 2014 15:38:49 -0700

akonadi (1.12.1-1ubuntu3) utopic; urgency=medium

  * Allow using mysql 5.6 as DB for akonadi-backend-mysql (LP: #1330180)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 14:14:01 +0200

akonadi (1.12.1-1ubuntu2) utopic; urgency=medium

  * Add upstream_1.12.1-invalid-gid.diff from upstream to fix broken upgrade
   - LP: #1318718
   - https://bugs.kde.org/331867

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 12 May 2014 16:37:03 +0100

akonadi (1.12.1-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 instead of mysql-server-core.
    - Force dependency on akonadi-backend-mysql for akonadi-server.
    - Keep debian/libakonadiprotocolinternals1.symbols from Ubuntu

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 08 May 2014 15:08:19 +0200

akonadi (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 1.12.0 version.
  * New upstream patch: upstream_1.12-Use-per-thread-
    QDBusConnections.patch
  * New upstream patch: upstream_1.12-Remove-the-invalid-GID-part-from-
    PartTable-before-st.patch
  * New upstream patch: upstream_1.12-Fix-retrieving-of-GID-from-SQL-
    query-result-in-Fetch.patch

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 May 2014 17:19:48 +0200

akonadi (1.12.1-0ubuntu2) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 26 Apr 2014 23:20:45 +0100

akonadi (1.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove patch: dont_do_redundant_flag_changes.diff
  * Remove patch: always_verify_writing_data_to_external_file.diff
  * Remove patch: correctly_detect_inter-resource_moves.diff
  * Update install files.
  * Remove old abi information, update acc file.
  * Update symbols from 1.11.0.
  * Update symbols.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Apr 2014 15:37:32 +0200

akonadi (1.11.0-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.
  * Update subst var for akonadi-backend-mysql.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream patch: dont_do_redundant_flag_changes.diff
  * New upstream patch: always_verify_writing_data_to_external_file.diff
  * Update symbols file.
  * Update install files.
  * New upstream patch: correctly_detect_inter-resource_moves.diff.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 08 Jan 2014 15:40:35 -0300

akonadi (1.10.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #729615, #716922)
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Nov 2013 14:53:11 +0100

akonadi (1.10.2-2) unstable; urgency=low

  * Rebuild for unstable release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Nov 2013 12:54:23 +0100

akonadi (1.10.2-1) experimental; urgency=low

  * Update vcs-fields.
  * Refresh patch disable_dbus_requiring_tests.
  * Update installed files.
  * Update libakonadiprotocolinternals1 symbols file.
  * Add empty dir in -dev package, to make AkonadiConfig.cmake happy.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Aug 2013 12:42:10 +0200

akonadi (1.9.2-2) unstable; urgency=low

  * Team upload.
  * Force the installation of the Qt plugins (such as qsqlite3) within Qt's
    plugin directory: (Closes: #708007)
    - pass -DINSTALL_QSQLITE_IN_QT_PREFIX=ON to cmake
    - adjust akonadi-backend-sqlite.install
    - add ${misc:Pre-Depends} in akonadi-backend-sqlite

 -- Pino Toscano <pino@debian.org>  Fri, 17 May 2013 15:39:30 +0200

akonadi (1.9.2-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Add myself to the Uploaders field.
  * Bump Standards-Version to 3.9.4.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 11 May 2013 00:57:28 +0200
