=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libqt4-dev (>= 4:4.6.0), shared-mime-info, libmysqlclient-dev,
  libxslt-dev, libsoprano-dev (>= 2.1.1), xsltproc, libdbus-1-dev, libboost-program-options-dev,
  libsqlite3-dev, dh-apparmor, dbus-x11
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://pim.kde.org/akonadi
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/akonadi
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/akonadi
@@ -58,8 +58,8 @@
 Section: misc
 Architecture: all
 Depends: ${misc:Depends},
- mysql-server-core-5.5 | mariadb-server-core-5.5,
- mysql-client-core-5.5 | mariadb-client-core-5.5,
+ mysql-server-core-5.5 | mariadb-server-core-5.5 | mysql-server-core-5.6,
+ mysql-client-core-5.5 | mariadb-client-core-5.5 | mysql-client-core-5.6,
  libqt4-sql-mysql
 Recommends: akonadi-server
 Replaces: akonadi-server (<< 1.3.60~)
